Bug 214277 - Remove /etc/udev/rules.d/51-hotplug.rules
Remove /etc/udev/rules.d/51-hotplug.rules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 16:03 EST by Bill Nottingham
Modified: 2014-03-16 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 02:15:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-11-06 16:03:24 EST
Description of problem:

Who needs legacy support. Upgrade or die!

Version-Release number of selected component (if applicable):

udev-095-14
Comment 1 Patrick C. F. Ernzer 2007-06-21 10:54:46 EDT
Just a note for those that did need this functionality (in my case to have
/etc/dev.d/umts/umts.dev called), just add
  RUN+="/lib/udev/udev_run_devd"
to the udev rule that makes your device

e.g: # cat /etc/udev/rules.d/48-umts.rules 
# Vodafone UMTS card
# Option Wireless Technology
# Model 129
# http://www.pharscape.org/index.php?option=content&task=view&id=28 says
#  /dev/ttyUSB0 should be used for your ppp data connections.
#  /dev/ttyUSB2 is the device to use for GSM related tasks such as SMS and
network checks.
#  Note: /dev/ttyUSB1 is not used at all.
#
# see also /etc/dev.d/umts/umts.dev where we call something to enter the PIN
# not using SYMLINK means 2 things:
#  - we will not execute for other sctipts (i.e. Palm) as we would if we had SYMLINK
#    and the script in /etc/dev.d/tty
#  - there wil be no ttyUSB0 (no biggie but it might confuse users reading FAQs)
#
SUBSYSTEMS=="usb", DRIVERS=="option", ATTRS{interface}=="Data Interface",
ATTRS{bInterfaceNumber}=="00", NAME="umts" RUN+="/lib/udev/udev_run_devd"
SUBSYSTEMS=="usb", DRIVERS=="option", ATTRS{interface}=="Data Interface",
ATTRS{bInterfaceNumber}=="01", OPTIONS="ignore_device"
SUBSYSTEMS=="usb", DRIVERS=="option", ATTRS{interface}=="Data Interface",
ATTRS{bInterfaceNumber}=="02", NAME="gsm"

Note You need to log in before you can comment on or make changes to this bug.